<?php
/**
 * Plugin Name: CS Popup Maker
 * Plugin URI: http://catchsquare.com
 * Description: Showing the popup images in all pages or selected pages
 * Version: 1.0
 * Author: Catch Square
 * License:     GNU General Public License v2.0 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Text Domain: cs-popup
 *
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
if ( ! defined( 'ABSPATH' ) )
    exit;

define( 'CSP_VERSION', '1.0' );
define( 'CSP_PLUGIN_DIR', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'CSP_PLUGIN_URL', untrailingslashit( plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) ) );

if ( !class_exists( 'casqrPopupInit' ) ) {
    class casqrPopupInit {

        public function __construct() {
            if(is_admin()){
                require_once( CSP_PLUGIN_DIR . '/includes/Admin.class.php' );
                new csPopupSettings();
            }
            else{
                add_action('wp',array( $this, 'show_popup' ) );
            }
        }

        function show_popup(){
            global $wp_query;
            $post_id = $wp_query->post->ID;
            $csPopupOptions = get_option('cs-popup');
            $flag = 0;
            if(isset($csPopupOptions['cs_popup_status'])&&$csPopupOptions['cs_popup_status']==1){
            if($csPopupOptions['cs_popup_page']!=''){
                if($csPopupOptions['cs_popup_page']==-1){
                    $flag = 1;
                }
                else{
                if($csPopupOptions['cs_popup_page']==0 && (is_home() || is_front_page())){ //checking for the options for home page
                    $flag = 1;

                }
                else if($post_id ==$csPopupOptions['cs_popup_page']) {
                    $flag = 1;
                }
                }

            }
            }
            if($flag==1){
                wp_register_script( 'cspopup-main-script',CSP_PLUGIN_URL.'/js/cs-main-script.js' , array('jquery'), CSP_VERSION );
                wp_enqueue_script( 'cspopup-main-script');

                // Localize the script with new data
                $localized_array = $this->cspopup_localized_script();
                wp_localize_script( 'cspopup-main-script', 'cs_obj', $localized_array );
                wp_register_style( 'cspopup-style', CSP_PLUGIN_URL.'/css/style.css', array(),CSP_VERSION);
                wp_enqueue_style( 'cspopup-style' );
            }
        }

        function cspopup_localized_script()
        {
            $cspopup = get_option( 'cs-popup' );
            $cspopup_settings = array();
            $cspopup_settings['image_url'] = $cspopup['cs_popup_image'];
            $cspopup_settings['target_url'] = $cspopup['cs_popup_target'];
            $cspopup_settings['close_link'] = CSP_PLUGIN_URL.'/images/close.png';
            return $cspopup_settings;
        }
    }
}
global $cspopup_controller;
$cspopup_controller = new casqrPopupInit();